##
##  ditaa.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2025 OpenPKG Project <http://openpkg.org/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_base 0.10
%define       V_snap 20180101

#   package information
Name:         ditaa
Summary:      Diagrams Through ASCII Art
URL:          http://ditaa.sourceforge.net/
Vendor:       Efstathios Sideris
Packager:     OpenPKG Project
Distribution: OpenPKG Community
Class:        EVAL
Group:        Diagram
License:      GPL
Version:      %{V_base}.%{V_snap}
Release:      20180101

#   list of sources
Source0:      http://download.openpkg.org/components/versioned/ditaa/ditaa-%{V_snap}.tar.xz
Source1:      ditaa.sh

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20160101, java, JAVA-JDK, ant
PreReq:       OpenPKG, openpkg >= 20160101, java, JAVA-JDK

%description
    DiTAA is a small command-line utility that can convert diagrams
    drawn using ASCII art ('drawings' that contain characters that
    resemble lines like "|", "/", "-", etc), into proper bitmap
    graphics. DiTAA interprets ASCCI art as a series of open and closed
    shapes, but it also uses special markup syntax to increase the
    possibilities of shapes and symbols that can be rendered.

%track
    prog ditaa = {
        version   = %{V_snap}
        url       = http://download.openpkg.org/components/versioned/ditaa/
        regex     = ditaa-(__VER__)\.tar\.xz
    }

%prep
    %setup -q -n ditaa

%build
    cd build
    ant

%install
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/bin \
        $RPM_BUILD_ROOT%{l_prefix}/libexec/ditaa
    %{l_shtool} install -c -m 644 \
        releases/ditaa*.jar $RPM_BUILD_ROOT%{l_prefix}/libexec/ditaa/ditaa.jar
    %{l_shtool} install -c -m 644 \
        lib/*.jar $RPM_BUILD_ROOT%{l_prefix}/libexec/ditaa/
    %{l_shtool} install -c -m 755 %{l_value -s -a} \
        %{SOURCE ditaa.sh} $RPM_BUILD_ROOT%{l_prefix}/bin/ditaa
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT %{l_files_std}

%files -f files

%clean

